> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/eth/block-builders-and-validators/block-submission.md).

# Block Submission

External builders with enterprise plan or above are allowed to submit blocks to bloXroute regulated relay on Ethereum Mainnet. bloXroute [relay](/eth/block-builders-and-validators/mev-relay-for-validators.md) supports [Relay API spec](https://flashbots.github.io/relay-specs/#/Builder/submitBlock), and block builders can submit blocks to the `/relay/v1/builder/blocks` endpoint. Builder must include their [authorization header](/getting-started/authorization-headers.md) (from bloXroute account portal) in the http request header, like `-H "Authorization: <YOUR-AUTHORIZATION-HEADER>"` , when submitting blocks to bloXroute relay.<br>

Builders with Enterprise plan or above can start submitting blocks to bloXroute now! Builders with Ultra tier will be able to get from bloXroute MEV bundles and private transactions to be added to their blocks.

#### Dehydrated block submission

You can enable dehydration on block submissions to optimize bandwidth utilization:

* For HTTP: Add an `X-Hydrate` header to your submission
* For gRPC: Set the `hydrate` boolean field on `SubmitBlockRequest`

For blob handling, the HTTP submission model now supports the `NewItems` field with the following structure:

```go
type FuluExtendedBlobsBundle struct {
	Commitments []deneb.KZGCommitment    `json:"commitments" ssz-max:"4096" ssz-size:"?,48"`
	Proofs      []deneb.KZGProof         `json:"proofs" ssz-max:"33554432" ssz-size:"?,48"`
	Blobs       []deneb.Blob             `json:"blobs" ssz-max:"4096" ssz-size:"?,131072"`
	NewItems    []*FuluHydrationBlobItem `json:"new_items" ssz-max:"4096" ssz-size:"?,137268"`
}

type FuluHydrationBlobItem struct {
	Proof      []deneb.KZGProof    `json:"proof" ssz-max:"128" ssz-size:"?,48"`
	Commitment deneb.KZGCommitment `json:"commitment" ssz-size:"48"`
	Blob       deneb.Blob          `json:"blob" ssz-size:"131072"`
}
```

Similarly, the gRPC submission model introduces the `NewItems` field that can be explored [here](https://github.com/bloXroute-Labs/relay-grpc/blob/develop/blxr-mev.proto). Blob items submitted via `NewItems` are cached locally using their commitment as a key, and the commitments at the blob bundle level are used to reference them in subsequent submissions.

Dehydrated block submissions are fully compatible with the similar features of [Titan](https://docs.titanrelay.xyz/builders/builder-integration#block-deltas) and [Ultrasound](https://docs.ultrasound.money/builders/builder-getting-started#block-deltas) supporting both transaction and blob deltas.

#### Block Submission Rate Limits and Restriction

<table><thead><tr><th width="207.6824951171875">Plan</th><th width="315.727783203125">Block Simulation</th><th>Block Cancellation</th></tr></thead><tbody><tr><td>VIP (Contact bloXroute)</td><td>Dedicated Bare Metal Server or Skip Simulation</td><td>Supported</td></tr><tr><td>Ultra bundle</td><td>Dedicated Bare Metal Server</td><td>Supported</td></tr><tr><td>Elite bundle</td><td>Shared Cloud Server</td><td>Unsupported</td></tr><tr><td>Enterprise bundle</td><td>Shared Cloud Server</td><td>Unsupported</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.bloxroute.com/eth/block-builders-and-validators/block-submission.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
